
Foreman - Bug #12342

Puppet classes disapear when changing environment after cloning hostgroup

10/28/2015 02:51 PM - Alejandro Falcon

Status: Closed   

Priority: Normal   

Assignee: Tom Caspy   

Category: Host groups   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2904

  

Description

Found this issue on 1.9.2 and 1.10 RC1 as well

Steps to reproduce:

1- Clone a hostgroup with a parent.

2- Change new hostgroup environment to another containing the same classes.

3- Click on puppet classes tab and classes are gone.

Related issues:

Related to Foreman - Bug #1477: Whenever you switch environment for a host gr... Closed 01/29/2012

Associated revisions

Revision 654d3bea - 11/16/2015 08:09 AM - Tom Caspy

fixes #12342 - unsaved (new or cloned) hostgroups keep their puppetclasses

Unsaved hostgroups didn't respond correctly to individual_puppetclasses

because that method expects some objects to be saved in the DB. In case

of selecting a new environment, that lead to puppetclasses disappearing.

Solution is - when the object is not saved yet, fallback on the

puppetclasses method.

Revision 669c944d - 11/17/2015 10:51 AM - Tom Caspy

fixes #12342 - unsaved (new or cloned) hostgroups keep their puppetclasses

Unsaved hostgroups didn't respond correctly to individual_puppetclasses

because that method expects some objects to be saved in the DB. In case

of selecting a new environment, that lead to puppetclasses disappearing.

Solution is - when the object is not saved yet, fallback on the

puppetclasses method.

(cherry picked from commit 654d3beadd98e49adfa0f868266140322ed0c500)

History

#1 - 10/29/2015 03:59 AM - Dominic Cleal

- Related to Bug #1477: Whenever you switch environment for a host group - the host group looses its puppet classes. added

#2 - 10/29/2015 03:59 AM - Dominic Cleal

- Category set to Host groups

#3 - 11/12/2015 04:58 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tom Caspy

- Pull request https://github.com/theforeman/foreman/pull/2904 added
#4 - 11/16/2015 08:10 AM - Dominic Cleal

- translation missing: en.field_release set to 63

#5 - 11/16/2015 09:01 AM - Tom Caspy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 654d3beadd98e49adfa0f868266140322ed0c500.

Powered by TCPDF (www.tcpdf.org)

05/10/2024 2/2

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/654d3beadd98e49adfa0f868266140322ed0c500
http://www.tcpdf.org

